Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs

# thread_pthread.h File Reference

`#include <pthread.h>`
Include dependency graph for thread_pthread.h:

Go to the source code of this file.

## Data Structures
struct | native_thread_data_struct
## Typedefs
typedef pthread_t | rb_thread_id_t
typedef pthread_mutex_t | rb_thread_lock_t
typedef pthread_cond_t | rb_thread_cond_t
typedef struct native_thread_data_struct | native_thread_data_t

## Typedef Documentation

typedef struct native_thread_data_struct native_thread_data_t

typedef pthread_cond_t rb_thread_cond_t

Definition at line 20 of file thread_pthread.h.

typedef pthread_t rb_thread_id_t

Definition at line 18 of file thread_pthread.h.

typedef pthread_mutex_t rb_thread_lock_t

Definition at line 19 of file thread_pthread.h.